- Home
- Download

- GitHub

- News
- Documentation

- FAQ
- Tutorial
- API reference
- Examples

- XML Digital Signature
- XML Encryption
- XML Canonicalization
- Reporting Bugs
- Mailing list
- Related
- Authors

## io

io — Input/output functions.

## Stability Level

Stable, unless otherwise indicated

## Functions

int | xmlSecIOInit ()
void | xmlSecIOShutdown ()
void | xmlSecIOCleanupCallbacks ()
int | xmlSecIORegisterDefaultCallbacks ()
int | xmlSecIORegisterCallbacks ()
xmlSecTransformId | xmlSecTransformInputURIGetKlass ()
int | xmlSecTransformInputURIOpen ()
int | xmlSecTransformInputURIClose ()

## Types and Values

#define | xmlSecTransformInputURIId

## Description

## Functions

### xmlSecIOInit ()

    int
    xmlSecIOInit (void);

The IO initialization (called from xmlSecInit function). Applications should not call this function directly.

#### Returns

0 on success or a negative value otherwise.

### xmlSecIOShutdown ()

    void
    xmlSecIOShutdown (void);

The IO cleanup (called from xmlSecShutdown function). Applications should not call this function directly.

### xmlSecIOCleanupCallbacks ()

    void
    xmlSecIOCleanupCallbacks (void);

Clears the entire input callback table. this includes the compiled-in I/O.

### xmlSecIORegisterDefaultCallbacks ()

    int
    xmlSecIORegisterDefaultCallbacks (void);

Registers the default compiled-in I/O handlers.

#### Returns

0 on success or a negative value otherwise.

### xmlSecIORegisterCallbacks ()

    int
    xmlSecIORegisterCallbacks (xmlInputMatchCallback matchFunc,
                               xmlInputOpenCallback openFunc,
                               xmlInputReadCallback readFunc,
                               xmlInputCloseCallback closeFunc);

Register a new set of I/O callback for handling parser input.

#### Parameters

matchFunc | the protocol match callback. |
openFunc | the open stream callback. |
readFunc | the read from stream callback. |
closeFunc | the close stream callback. |

#### Returns

the 0 on success or a negative value if an error occurs.

### xmlSecTransformInputURIGetKlass ()

    xmlSecTransformId
    xmlSecTransformInputURIGetKlass (void);

The input uri transform klass. Reads binary data from an uri.

#### Returns

input URI transform id.

### xmlSecTransformInputURIOpen ()

    int
    xmlSecTransformInputURIOpen (xmlSecTransformPtr transform,
                                 const xmlChar *uri);

Opens the given `uri` for reading.

#### Parameters

transform | the pointer to IO transform. |
uri | the URL to open. |

#### Returns

0 on success or a negative value otherwise.

### xmlSecTransformInputURIClose ()

    int
    xmlSecTransformInputURIClose (xmlSecTransformPtr transform);

Closes the given `transform` and frees up resources.

#### Parameters

transform | the pointer to IO transform. |

#### Returns

0 on success or a negative value otherwise.

## Types and Values

### xmlSecTransformInputURIId

    #define             xmlSecTransformInputURIId

The Input URI transform id.